Hi,
On Fri, 6 Feb 2009, Michael J Gruber wrote:
quoted hunk ↗ jump to hunk
Add a test for the handling of empty notes by "git notes show".
---
t/t3301-notes.sh | 5 +++++
1 files changed, 5 insertions(+), 0 deletions(-)
diff --git a/t/t3301-notes.sh b/t/t3301-notes.sh
index 9393a25..4900dca 100755
--- a/t/t3301-notes.sh
+++ b/t/t3301-notes.sh
@@ -35,6 +35,11 @@ test_expect_success 'need valid notes ref' '
! MSG=2 GIT_NOTES_REF='/' git notes show
'
+# 1 indicates caught gracefully by die, 128 means git-show barfed
+test_expect_failure 'handle empty notes gracefully' '
+ git notes show || test 1 = $?
+'
That test would succeed if the exit status is 0.
Ciao,
Dscho